﻿using System.Reflection;
using System.Resources;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            ResourceManager resourceManager = new ResourceManager
            (
                "TestProject.LOCALIZATION.Resource",
                Assembly.GetExecutingAssembly()
            );

            this.textBlock1.Text = resourceManager.GetString("KEY1");
            this.textBlock2.Text = resourceManager.GetString("KEY2");
        }

        #endregion
    }
}